%global pypi_name opensearch-py

Name:           python-%{pypi_name}
Version:        2.2.0
Release:        1%{?dist}
Summary:        Python low-level client for OpenSearch

License:        Apache-2.0
URL:            https://github.com/opensearch-project/%{pypi_name}
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
opensearch-py is a community-driven, open source OpenSearch client
licensed under the Apache v2.0 License. 
For more information, see opensearch.org.}

%description %_description

%pyproject_extras_subpkg -n python3-opensearch-py async kerberos

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -n %{pypi_name}-%{version}

# certfi is patched to use fedora CERTs anyway so version kind of irrelevent.
sed -i 's/certifi>=2022\.12\.07/certifi/' setup.py


%generate_buildrequires
%pyproject_buildrequires -x async -x kerberos


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files opensearchpy


%check
%pyproject_check_import -e opensearchpy.helpers.test


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Fri May 12 2023 Steve Traylen <steve.traylen@cern.ch> - 2.2.0-1
- Update to 2.2.0 (rhbz#2203376)
- Enable python extra packages
- Update license to SPDX string.

* Sat Feb 12 2022 Steve Traylen <steve.traylen@cern.ch> - 1.0.0-4
- so 9 is newer than 8


* Wed Feb 9 2022 Steve Traylen <steve.traylen@cern.ch> -1.0.0-3
- Migrate to pyproject macros

* Thu Dec 9 2021 Steve Traylen <steve.traylen@cern.ch> - 1.0.0-2
- Review corrections rhbz#2016597

* Fri Oct 22 2021 Steve Traylen <steve.traylen@cern.ch> - 1.0.0-1
- Initial package.
